// @ts-check
import withNuxt from './.nuxt/eslint.config.mjs'

export default withNuxt(
  // Your custom configs here
  {
    rules: {
      'vue/html-self-closing': 'off',
    },
  },
)
  .override('nuxt/vue/rules', {
    ignores: ['components/ui/**'],
  })
  .override('nuxt/typescript/rules', {
    ignores: ['components/ui/**'],
  })
  .override('nuxt/disables/routes', {
    ignores: ['components/ui/**'],
  })
